org.keycloak.protocol.oidc.utils

## Class PairwiseSubMapperValidator

- java.lang.Object
- - org.keycloak.protocol.oidc.utils.PairwiseSubMapperValidator

-     public class PairwiseSubMapperValidator
      extends Object

  Author:
    Martin Hardselius

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PairwiseSubMapperValidator.TypedList`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PAIRWISE_CLIENT_REDIRECT_URIS_MISSING_HOST`
    `static String` | `PAIRWISE_CLIENT_REDIRECT_URIS_MULTIPLE_HOSTS`
    `static String` | `PAIRWISE_FAILED_TO_GET_REDIRECT_URIS`
    `static String` | `PAIRWISE_MALFORMED_CLIENT_REDIRECT_URI`
    `static String` | `PAIRWISE_MALFORMED_SECTOR_IDENTIFIER_URI`
    `static String` | `PAIRWISE_REDIRECT_URIS_MISMATCH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PairwiseSubMapperValidator()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `validate(KeycloakSession session, ClientModel client, ProtocolMapperModel mapperModel)`
    `static void` | `validate(KeycloakSession session, String rootUrl, Set<String> redirectUris, String sectorIdentifierUri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PAIRWISE_MALFORMED_CLIENT_REDIRECT_URI

          public static final String PAIRWISE_MALFORMED_CLIENT_REDIRECT_URI

      See Also:
        Constant Field Values

    - #### PAIRWISE_CLIENT_REDIRECT_URIS_MISSING_HOST

          public static final String PAIRWISE_CLIENT_REDIRECT_URIS_MISSING_HOST

      See Also:
        Constant Field Values

    - #### PAIRWISE_CLIENT_REDIRECT_URIS_MULTIPLE_HOSTS

          public static final String PAIRWISE_CLIENT_REDIRECT_URIS_MULTIPLE_HOSTS

      See Also:
        Constant Field Values

    - #### PAIRWISE_MALFORMED_SECTOR_IDENTIFIER_URI

          public static final String PAIRWISE_MALFORMED_SECTOR_IDENTIFIER_URI

      See Also:
        Constant Field Values

    - #### PAIRWISE_FAILED_TO_GET_REDIRECT_URIS

          public static final String PAIRWISE_FAILED_TO_GET_REDIRECT_URIS

      See Also:
        Constant Field Values

    - #### PAIRWISE_REDIRECT_URIS_MISMATCH

          public static final String PAIRWISE_REDIRECT_URIS_MISMATCH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PairwiseSubMapperValidator

          public PairwiseSubMapperValidator()

  - ### Method Detail

    - #### validate

          public static void validate(KeycloakSession session,
                                      ClientModel client,
                                      ProtocolMapperModel mapperModel)
                               throws ProtocolMapperConfigException

      Throws:
        `ProtocolMapperConfigException`

    - #### validate

          public static void validate(KeycloakSession session,
                                      String rootUrl,
                                      Set<String> redirectUris,
                                      String sectorIdentifierUri)
                               throws ProtocolMapperConfigException

      Throws:
        `ProtocolMapperConfigException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.